/*  OpenOlap viewer
 *  パッケージ名：openolap.viewer
 *  ファイル：MeasureMemberType.java
 *  説明：
 *
 *  作成日: 2004/01/07
 */
package openolap.viewer;

import java.io.Serializable;

/**
 *  クラス：MeasureMemberType
 *  説明：
 */
public class MeasureMemberType implements Serializable {

	final private String id;
	final private String name;
	final private String discription;
	final private String groupName;
	final private String imageURL;
	final private String excelFormat;
	final private String function_name;
	final private String unitFunctionID;

	// コンストラクタ
	public MeasureMemberType(String id, String name, String discription, String groupName, String imageURL, String excelFormat, String function_name, String unitFunctionID) {
		this.id = id;
		this.name = name;
		this.discription = discription;
		this.groupName = groupName;
		this.imageURL = imageURL;
		this.excelFormat = excelFormat;
		this.function_name = function_name;		
		this.unitFunctionID = unitFunctionID;
	}

	// ********** Getter メソッド **********
	public String getId() {
		return id;
	}
	public String getName() {
		return name;
	}
	public String getDiscription() {
		return discription;
	}
	public String getGroupName() {
		return groupName;
	}
	public String getImageURL() {
		return imageURL;
	}
	public String getExcelFormat() {
		return excelFormat;
	}
	public String getFunction_name() {
		return function_name;
	}
	public String getUnitFunctionID() {
		return unitFunctionID;
	}


}
